com.bitmovin.player.api.network
Types
| Name | Summary |
|---|---|
| HttpRequest | open class HttpRequest Represents an HTTP request. |
| HttpRequestType | enum HttpRequestType : Enum<HttpRequestType> Available HTTP request types. |
| HttpResponse | data class HttpResponse(val httpRequest: HttpRequest, val url: String, val status: Int, val headers: Map<String, String>, var body: ByteArray) |
| NetworkConfig | data class NetworkConfig(var preprocessHttpRequestCallback: PreprocessHttpRequestCallback? = null, var preprocessHttpResponseCallback: PreprocessHttpResponseCallback? = null, val retryHttpRequestConfig: RetryHttpRequestConfig = RetryHttpRequestConfig.LinearIncreasingBackoffRetry) : Parcelable The network configuration gives the ability to influence network requests. It enables preprocessing requests and processing responses. |
| PreprocessHttpRequestCallback | fun interface PreprocessHttpRequestCallback Can be used to change request parameters before a request is made. |
| PreprocessHttpResponseCallback | fun interface PreprocessHttpResponseCallback Can be used to the access or change properties of the response before it gets into the player. |
| RetryHttpRequestConfig | sealed interface RetryHttpRequestConfig |